Subject: Bug#3196: ispell symlinks broken

From: K J MacDonald <[email-masked]>
Date: Thu, 6 Jun 96 20:44:34 BST

> This seems as if this would likely either the result of a bug in the
> ispell or in update-alternatives.  I'm a bit confused about this, since
> "grep alternatives /var/lib/dpkg/info/ispell*" didn't find any hits.

There's a script called /usr/sbin/update-ispell-dictionaries in the
ispell package, which is called by the dictionary postinst scripts.
This in turn calls update-alternatives.

> lrwxrwxrwx   1 root     root           29 May 18 19:47 /etc/alternatives/ispell-dictionary.hash -> /usr/lib/ispell/american.hash
> bash# ls -l /usr/lib/ispell/american.hash
> ls: /usr/lib/ispell/american.hash: No such file or directory
> bash# ls -F /usr/lib/ispell
> american.aff	   british.aff	      britishmed+.hash	 default.hash@
> americanmed+.hash  british.hash@      default.aff@
> bash#

There is a symlink american.hash -> americanmed+.hash in the
iamerican-3.1.18-3.deb file, so it's been lost somehere along the line
(assuming that's the version of the dictionary you're using?).

I've tried recreating this situation by installing/removing the british
and american dictionaries in all the combinations/orders I can think of,
and always found these sym links preserved.  Does siimply uninstalling
and reinstalling iamerican fix the problem?

Kenny.

|         <[email-masked]> "http://www.glg.ed.ac.uk/~kenny"      |
| Portuguese/English/French Translations/Teaching by Native Portuguese |
|              <[email-masked]> "http://www.nsl.co.uk/tls"              |